package com.sf.deploy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sf.common.annotation.Excel;
import com.sf.common.core.domain.BaseEntity;

/**
 * 安装包管理（新）对象 SYS_APK_INFO
 * 
 * @author ztzh
 * @date 2024-04-11
 */
public class SysApkInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 上传类型 */
    @Excel(name = "上传类型")
    private String uploadingType;

    /** 安装包名称 */
    @Excel(name = "安装包名称")
    private String sysApkName;

    /** 版本号 */
    @Excel(name = "版本号")
    private String version;

    /** 安装包 */
    @Excel(name = "安装包")
    private String sysApk;

    /** 安装包大小 */
    @Excel(name = "安装包大小")
    private String sysApkSize;

    /** 安装包类型 */
    @Excel(name = "安装包类型")
    private String sysType;

    /** 上传状态 */
    private Long uploadingStatus;

    /** 日志id */
    private Long uploadingLogId;

    /** 排序 */
    private Long orderNum;

    /** 逻辑删除,0:未删除,1:删除 */
    private Long isDelete;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created;

    /** 更新人 */
    private String modified;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUploadingType(String uploadingType) 
    {
        this.uploadingType = uploadingType;
    }

    public String getUploadingType() 
    {
        return uploadingType;
    }
    public void setSysApkName(String sysApkName) 
    {
        this.sysApkName = sysApkName;
    }

    public String getSysApkName() 
    {
        return sysApkName;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setSysApk(String sysApk) 
    {
        this.sysApk = sysApk;
    }

    public String getSysApk() 
    {
        return sysApk;
    }
    public void setSysApkSize(String sysApkSize) 
    {
        this.sysApkSize = sysApkSize;
    }

    public String getSysApkSize() 
    {
        return sysApkSize;
    }
    public void setSysType(String sysType) 
    {
        this.sysType = sysType;
    }

    public String getSysType() 
    {
        return sysType;
    }
    public void setUploadingStatus(Long uploadingStatus) 
    {
        this.uploadingStatus = uploadingStatus;
    }

    public Long getUploadingStatus() 
    {
        return uploadingStatus;
    }
    public void setUploadingLogId(Long uploadingLogId) 
    {
        this.uploadingLogId = uploadingLogId;
    }

    public Long getUploadingLogId() 
    {
        return uploadingLogId;
    }
    public void setOrderNum(Long orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Long getOrderNum() 
    {
        return orderNum;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setCreated(String created) 
    {
        this.created = created;
    }

    public String getCreated() 
    {
        return created;
    }
    public void setModified(String modified) 
    {
        this.modified = modified;
    }

    public String getModified() 
    {
        return modified;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("uploadingType", getUploadingType())
            .append("sysApkName", getSysApkName())
            .append("version", getVersion())
            .append("sysApk", getSysApk())
            .append("sysApkSize", getSysApkSize())
            .append("sysType", getSysType())
            .append("uploadingStatus", getUploadingStatus())
            .append("uploadingLogId", getUploadingLogId())
            .append("orderNum", getOrderNum())
            .append("isDelete", getIsDelete())
            .append("created", getCreated())
            .append("modified", getModified())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
